@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: "Roboto", sans-serif;

}

.container{
    padding: 100px 0;
}

.nav{
    padding-right: 0;
    padding: 0;
}

.nav-links{
    margin-left: auto;

}


.nav-link{
    color: white;
    font-size: 1.1em;
    font-weight: 900;
    margin-left: 3em;
}

.navbar-collapse {
    background-color: transparent; /* Sin fondo por defecto */
    z-index: 1000;

}

@media (max-width: 991.98px) {
    .navbar-collapse {
        background-color: rgb(131, 32, 35);

    }

    .nav-link{
        color: white;
    }
}



.hero {
    width: 100%;
    height: 100vh;
    min-height: 600px;
    max-height: 800px;
    position: relative;
    display: grid;
    grid-template-rows: 100px 1fr;
    color: white;
}

.hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg, #0501008c 0%, #0501008c 100%), url('../Img/camiones.jpg');
    background-size: cover;
    clip-path: polygon(0 0, 100% 0, 100% 80%, 50% 95%, 0 80%);
    z-index: -1;

}

.hero_container {
    max-width: 800px;
    display: grid;
    padding: 0;
    grid-auto-rows: max-content;
    align-content: center;
    gap: 1em;
    /* padding-bottom: 100px; */
    text-align: center;

}

.hero_tittle {
    font-weight: 900;
   
}

.hero_paragraph {
    margin-bottom: 20px;
    font-size: 1.5rem;

}

.cta {
    display: flex;
    flex-direction: column;
    gap: 1.3em;
    background-color: #ffe34f;
    justify-self: center;
    color: black;
    font-weight: 600;
    text-decoration: none;
    padding: 13px 40px;
    border-radius: 10px;
    font-size: 1.2em;

}

.numeros{
    font-weight: 900;
    letter-spacing: .5em;
}



.about {
    text-align: center;
}

.subtitle {
    font-size: 2.5rem;
    margin-bottom: 25px;
    font-weight: 900;
}

.about_paragraph_1 {
    line-height: 1.7;
    font-size: 1.2rem;
}

.about_paragraph {
    line-height: 1.4;
    font-size: 1.1rem;
}

.about_main {
    padding-top: 80px;
    display: grid;
    width: 80%;
    margin: 0 auto;
    gap: 1.2em;
    overflow: hidden;
    grid-template-columns: repeat(auto-fit, minmax(260px, auto));
}

.about_icons {
    display: grid;
    gap: 1em;
    justify-items: center;
    width: 260px;
    overflow: hidden;
    margin: 0 auto;
    padding-top: 10px
}

.about_icon {
    height: 40px;

}

.knowledge {
    background: rgb(184, 41, 41);
    background: linear-gradient(90deg, rgba(184, 41, 41, 0.9136029411764706) 0%, rgba(126, 18, 18, 0.6502976190476191) 100%, rgba(255, 0, 0, 1) 100%);
    background-position: 0 0, 10px 10px;
    overflow: hidden;


}

.knowledge_container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1em;
    align-items: center;
}

.knowledge_picture {
    max-width: 600px;
}

@media(max-width: 450px){
    
    .knowledge_container{
        grid-template-columns: 1fr;
        
        
    }
    .knowledge_texts{
        text-align: center;
    }
}

.knowledge_img {
    width: 100%;
    display: block;
}

.cobertura {
    color: #ffe34f;
    font-size: 3rem;
    letter-spacing: 0.5rem;
    padding-bottom: 15px
}

.knowledge_paragraph {
    line-height: 1.4;
    font-size: 1.5rem;
    color: white;
}


.infraestructura_paragraph {
    line-height: 1.4;
    font-size: 1.5rem;
    
}



.seccion_clientes {
    width: 100%;
    height: 60vh;
    min-height: 610px;
    max-height: 800px;
    position: relative;
    
}

.clientes_container{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 0;
    
}

.seccion_clientes::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg, #0501008c 0%, #0501008c 100%), url('../Img/carretera.png');
    background-size: cover;
    z-index: -1;

}

.sin{
    padding-bottom: 0;
}

.redes{
    display: flex;
    gap: 30px;
}

.p_redes{
    color: white;
    padding-bottom: 10px;

}

.a_icon{
    text-decoration: none;
    color: white;
    font-size: 25px;
}

.modal{
    color: black;
}

.contacto{
    display: flex;
    flex-direction: column;
    justify-content: start;
    gap: 2em;
   
}

.info_contacto{
    padding-left: 20px;
    font-family: "Roboto", sans-serif;
    font-size: 15px;
    font-weight: 900;
}